from os import environ
from warnings import warn

# Tests environment variables used within the projects domain are
# set in the correct environment

VARS = ['ENVIRON', 'APPSECRET', 'FILESTORE']


def test_env_vars():
    """ Test that required environment variables are set
        ahead of runtime
    """
    for var in VARS:
        env = environ.get(var)

        # Check to see what variable we are comparing
        if env is None:
            warn(f"Variable {var} is not set!")


def test_environment_var_state():
    """ Tests that the 'ENVIRON' Environment variable
        is in a correct state
    """
    var = environ.get('ENVIRON')
    assert var is not None
    assert (var == "test" or var == "prod")
